## pyside 0.1.4.5-0maemo1

=== CMakeLists.txt ===
project(pyside)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_CXX_FLAGS_RELEASE "-Wall -fvisibility=hidden -fvisibility-inlines-hidden -Os -finline-limit=600 -ffunction-sections -fomit-frame-pointer -fno-default-inline -fconserve-space -fno-enforce-eh-specs -fno-threadsafe-statics -fno-implicit-inline-templates -DNDEBUG -DBOOST_PYTHON_NO_PY_SIGNATURES -Wl,--gc-sections -Wl,-O1 -Wl,--hash-style=gnu")
set(CMAKE_CXX_FLAGS_DEBUG "-g -fno-common -Wall")

find_package(Boost 1.38.0 COMPONENTS python REQUIRED)
find_package(PythonLibs REQUIRED)
find_package(PythonInterp REQUIRED)
find_package(Qt4 4.5.0 REQUIRED)

set(BINDING_NAME PySide)
set(BINDING_API_VERSION 0.1.4.5)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif (NOT CMAKE_BUILD_TYPE)

include(${QT_USE_FILE})
if (${QTVERSION} VERSION_LESS 4.5.0)
    message(FATAL_ERROR "You need Qt4.5, found ${QTVERSION}.")
endif (${QTVERSION} VERSION_LESS 4.5.0)

set(BINDING_VERSION ${BINDING_API_VERSION}.${QT_VERSION_MAJOR}.${QT_VERSION_MINOR})
find_program(GENERATOR boostpythongenerator REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif (NOT GENERATOR)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target(doc
                  DEPENDS docqtcore docqtgui docqtnetwork docqtopengl docqtsql docqtsvg docqtwebkit docqtxml)

# "make dist", in fact "make package_source"
#set(CPACK_SOURCE_PACKAGE_FILE_NAME "pyside-${BINDING_API_VERSION}")
#set(CPACK_SOURCE_GENERATOR TGZ)
#set(CPACK_SOURCE_IGNORE_FILES "~$" ".svn" "debian/" "build/" ".swp$" "*.kdev4" ".git" ".kdev4")
#include(CPack)

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif (NOT SITE_PACKAGE)

set(GENERATOR_EXTRA_FLAGS --disable-named-arg)

if (DOC_ONLY)
    set(DOC_ONLY --documentation-only)
endif (DOC_ONLY)

enable_testing()

# project directories
add_subdirectory(data)
add_subdirectory(base)
add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
add_subdirectory(tests)

=== PySide/CMakeLists.txt ===
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/__init__.py
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

add_subdirectory(QtCore)
add_subdirectory(QtGui)
add_subdirectory(QtWebKit)
add_subdirectory(QtNetwork)
add_subdirectory(QtXml)
add_subdirectory(QtXmlPatterns)
add_subdirectory(QtOpenGL)
add_subdirectory(QtSvg)
add_subdirectory(QtSql)
add_subdirectory(QtHelp)
add_subdirectory(QtUiTools)
add_subdirectory(QtScript)
add_subdirectory(QtScriptTools)
IF (QT_PHONON_FOUND)
  message(STATUS "Phonon found")
  add_subdirectory(phonon)
ELSE (QT_PHONON_FOUND)
  message(STATUS "Phonon not found. Phonon support disabled.")
ENDIF (QT_PHONON_FOUND)

=== base/CMakeLists.txt ===
project(pysidebase)

# project definition
set(pysidebase_SRC
qptr.cpp
qptr_cleanup.cpp
abstract_qobject_connection.cpp
qapplication_policy.cpp
signal_manager.cpp
thread_support.cpp
trigger.cpp
type_converter.cpp
type_manager.cpp
wrapper_manager.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR})
add_library(pysidebase SHARED ${pysidebase_SRC})
target_link_libraries(pysidebase
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY})
set_target_properties(pysidebase PROPERTIES SOVERSION ${BINDING_VERSION})


#
# install stuff
#

set(pysidbase_HEADERS
    abstract_qobject_connection.hpp
    boost_headers.hpp
    declare_qflags.hpp
    parent_policy.hpp
    pyqt_signal_slot.hpp
    pyside.hpp
    pyside_global.hpp
    qapplication_policy.hpp
    qcontainer_indexing_suite.hpp
    qptr.hpp
    qptr_cleanup.hpp
    signal_manager.hpp
    thread_support.hpp
    trigger.hpp
    type_converter.hpp
    type_details.hpp
    type_manager.hpp
    wrapper_manager.hpp
)

install(FILES ${pysidbase_HEADERS}
        DESTINATION include/${BINDING_NAME})
install(TARGETS pysidebase LIBRARY DESTINATION lib)

=== data/CMakeLists.txt ===
project(data)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindPySide.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake
        DESTINATION share/cmake-2.6/Modules)


# create pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyside.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc
        DESTINATION lib/pkgconfig)

add_subdirectory(typesystem)

=== doc/CMakeLists.txt ===
find_program(graphviz_exec dot)

if (QT_SRC_DIR)

if (NOT ${graphviz_exec} STREQUAL graphviz_exec-NOTFOUND)
add_custom_target(apidoc COMMAND make html WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

# copy pyside.qdocconf to qt source dir.
configure_file("pyside.qdocconf" "${QT_SRC_DIR}/tools/qdoc3/test/pyside.qdocconf" @ONLY)
set(DOC_DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/qt4xmldoc")
set(ENV{QTDIR} ${QT_SRC_DIR} )

add_custom_target(qdoc3
                  COMMAND QTDIR=${QT_SRC_DIR} qdoc3 pyside.qdocconf
                  WORKING_DIRECTORY "${QT_SRC_DIR}/tools/qdoc3/test"
                  COMMENT "Running qdoc3 against Qt source code..."
                  SOURCE "pyside.qdocconf")

macro(create_doc module)
string(REGEX REPLACE "^Qt" "" module_name ${module})
string(TOLOWER ${module_name} module_name)
add_custom_target("${module}-apidoc"
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_SOURCE_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}:${QT_QTCORE_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        ${typesystem_SOURCE_DIR}/typesystem_${module_name}.xml
        --library-source-dir=${QT_SRC_DIR}
        --documentation-only
        --documentation-data-dir=${DOC_DATA_DIR}
        --documentation-out-dir=${CMAKE_CURRENT_SOURCE_DIR}
        --documentation-code-snippets-dir=${CMAKE_CURRENT_SOURCE_DIR}/codesnippets
WORKING_DIRECTORY ${${module}_SOURCE_DIR}
COMMENT "Running generator to generate documentation of ${module}..."
)
add_dependencies("${module}-apidoc" qdoc3)
add_dependencies(apidoc "${module}-apidoc")
endmacro(create_doc module)

create_doc(QtCore)
create_doc(QtGui)
create_doc(QtHelp)
create_doc(QtNetwork)
create_doc(QtOpengl)
create_doc(QtScript)
create_doc(QtScripttools)
create_doc(QtSql)
create_doc(QtSvg)
create_doc(QtUitools)
create_doc(QtXml)
create_doc(QtWebkit)
create_doc(phonon)

add_custom_target(apidocinstall
    COMMAND mkdir -p ${CMAKE_INSTALL_PREFIX}/share/doc/${BINDING_NAME} && cp -rv ${CMAKE_CURRENT_SOURCE_DIR}/_build/* ${CMAKE_INSTALL_PREFIX}/share/doc/${BINDING_NAME}
)
else (NOT ${graphviz_exec} STREQUAL graphviz_exec-NOTFOUND)
    message(STATUS "Missing graphviz tool (dot), apidoc generation targets disabled.")
endif (NOT ${graphviz_exec} STREQUAL graphviz_exec-NOTFOUND)

else (QT_SRC_DIR)
    message(STATUS "QT_SRC_DIR variable not set, apidoc generation targets disabled.")
endif (QT_SRC_DIR)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/PySide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/PySide.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== tests/CMakeLists.txt ===
add_subdirectory(base)

file(GLOB TEST_FILES */*_test.py)

foreach(test_file ${TEST_FILES})
    string(REGEX MATCH "/([^/]+)//?([^/]+)_test.py" test_name ${test_file} )
    add_test(${CMAKE_MATCH_1}_${CMAKE_MATCH_2} sh
             ${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh
             "${pysidebase_BINARY_DIR}"
             "${phonon_BINARY_DIR}:${QtGui_BINARY_DIR}:${QtNetwork_BINARY_DIR}:${QtScript_BINARY_DIR}:${QtSql_BINARY_DIR}:${QtUiTools_BINARY_DIR}:${QtXml_BINARY_DIR}:${QtCore_BINARY_DIR}:${QtHelp_BINARY_DIR}:${QtOpenGL_BINARY_DIR}:${QtScriptTools_BINARY_DIR}:${QtSvg_BINARY_DIR}:${QtWebKit_BINARY_DIR}:${CMAKE_CURRENT_SOURCE_DIR}/util"
             ${PYTHON_EXECUTABLE}
             ${test_file})
    set_tests_properties(${CMAKE_MATCH_1}_${CMAKE_MATCH_2} PROPERTIES TIMEOUT 5)
# Should set python path here
# Looks like it's fixed in 2.8:
# http://www.vtk.org/Bug/print_bug_page.php?bug_id=7885
endforeach(test_file ${TEST_FILES})

=== PySide/QtCore/CMakeLists.txt ===
project(QtCore)
# project definition
set(QtCore_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_core.xml
)
set(QtCore_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstracteventdispatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractfileenginehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractfileengineiterator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractfileengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractitemmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractlistmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstracttablemodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qbasictimer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qbitarray_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qbuffer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qbytearraymatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qbytearray_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qchar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qchildevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qcoreapplication_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qcryptographichash_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qdatastream_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qdatetime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qdate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qdiriterator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qdir_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qdynamicpropertychangeevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qeventloop_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qfileinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qfilesystemwatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qfile_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qfsfileengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qgenericargument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qiodevice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qlatin1char_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qlatin1string_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qlibraryinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qlinef_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qline_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qlocale_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmetaclassinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmetaenum_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmetaobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmetaproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmimedata_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmodelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmutexlocker_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmutex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qpersistentmodelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qpointf_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qpoint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qprocess_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qreadwritelock_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qreadlocker_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qrectf_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qrect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qregexp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsemaphore_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsignalmapper_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsizef_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsize_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsocketnotifier_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstringlist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstringmatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstringref_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstring_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsystemlocale_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsystemsemaphore_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtconcurrent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtcore_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtcore_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtemporaryfile_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextboundaryfinder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextcodec_converterstate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextcodec_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextdecoder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextencoder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextstreammanipulator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtextstream_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qthread_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtimeline_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtimerevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtimer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qtranslator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qt_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qurl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/quuid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qvariant_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qwaitcondition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qwritelocker_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamattributes_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamattribute_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamentitydeclaration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamentityresolver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamnamespacedeclaration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamnotationdeclaration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qxmlstreamwriter_wrapper.cpp
)

add_custom_command(OUTPUT ${QtCore_SRC}
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_SOURCE_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}:${QT_QTCORE_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        --license-file=${CMAKE_SOURCE_DIR}/data/licensecomment.txt
        ${QtCore_TYPESYSTEM}
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTXML_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtCore MODULE ${QtCore_SRC})
set_property(TARGET QtCore PROPERTY PREFIX "")
target_link_libraries(QtCore
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtCore.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

=== PySide/QtGui/CMakeLists.txt ===
project(QtGui)
# project definition
# qt 4.5 classes

file(WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQGtkStyle.cxx
  "#include <QtGui/QGtkStyle>\n"
  "int main(void) { QGtkStyle style; return 0; }\n")

try_compile(QGTKSTYLE_WORKS ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQGtkStyle.cxx
  CMAKE_FLAGS
    -DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDE_DIR}
    -DLINK_LIBRARIES:STRING=${QT_QTGUI_LIBRARY_RELEASE}
  OUTPUT_VARIABLE OUTPUT)

file(WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQSizeGrip.cxx
  "#include <QtGui/QSizeGrip>\n"
  "int main(void) { \n"
  "#ifdef QT_NO_SIZEGRIP\n"
  "#error QSizeGrip disabled.\n"
  "#endif\n"
  "}\n")

try_compile(QSIZEGRIP_WORKS ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQSizeGrip.cxx
  CMAKE_FLAGS
    -DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDE_DIR}
    -DLINK_LIBRARIES:STRING=${QT_QTGUI_LIBRARY_RELEASE}
  OUTPUT_VARIABLE OUTPUT)

set(QtGui_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_gui.xml
)

if(QGTKSTYLE_WORKS)
set(QGTKSTYLE_WRAPPER 
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgtkstyle_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgtkstyle_wrapper.hpp
)
else(QGTKSTYLE_WORKS)
set(QGTKSTYLE_WRAPPER "")
message(STATUS "QGtkStyle support disabled")
endif(QGTKSTYLE_WORKS)

if(QSIZEGRIP_WORKS)
set(QSIZEGRIP_WRAPPER
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qsizegrip_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qsizegrip_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qstyleoptionsizegrip_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qstyleoptionsizegrip_wrapper.hpp
)
else(QSIZEGRIP_WORKS)
set(QSIZEGRIP_WRAPPER "")
message(STATUS "QSizeGrip support disabled")
endif(QSIZEGRIP_WORKS)

set(QtGui_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/converter_register_qtgui.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractbutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractbutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractgraphicsshapeitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractgraphicsshapeitem_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemdelegate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemdelegate_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemview_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractpagesetupdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractpagesetupdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractprintdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractprintdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractproxymodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractproxymodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractscrollarea_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractscrollarea_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractslider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractslider_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractspinbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractspinbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_paintcontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_paintcontext_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_selection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_selection_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactionevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactionevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactiongroup_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactiongroup_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qaction_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qaction_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qapplication_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qapplication_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbitmap_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbitmap_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qboxlayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qboxlayout_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbrush_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbrush_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbuttongroup_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbuttongroup_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcalendarwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcalendarwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcdestyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcdestyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcheckbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcheckbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcleanlooksstyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcleanlooksstyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qclipboard_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qclipboard_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcloseevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcloseevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolordialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolordialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolor_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolumnview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolumnview_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcombobox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcombobox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommandlinkbutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommandlinkbutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommonstyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommonstyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcompleter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcompleter_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qconicalgradient_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qconicalgradient_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcontextmenuevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcontextmenuevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcursor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcursor_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatawidgetmapper_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatawidgetmapper_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdateedit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdateedit_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatetimeedit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatetimeedit_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopservices_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopservices_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialogbuttonbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialogbuttonbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdial_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdial_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdirmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdirmodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdockwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdockwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublespinbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublespinbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublevalidator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublevalidator_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragenterevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragenterevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragleaveevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragleaveevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragmoveevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragmoveevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdrag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdrag_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdropevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdropevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qerrormessage_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qerrormessage_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfiledialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfiledialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileiconprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileiconprovider_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileopenevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileopenevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfilesystemmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfilesystemmodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusframe_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusframe_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontcombobox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontcombobox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdatabase_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdatabase_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontinfo_wrapper.hpp

=== PySide/QtHelp/CMakeLists.txt ===
project(QtHelp)
# project definition
set(QtHelp_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_help.xml
)

set(QtHelp_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpcontentitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpcontentmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpcontentwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpenginecore_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpindexmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpindexwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpsearchengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpsearchquerywidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpsearchquery_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qhelpsearchresultwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qthelp_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtHelp/qthelp_module_wrapper.cpp
)

add_custom_command(OUTPUT ${QtHelp_SRC}
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_SOURCE_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}:${QT_QTCORE_INCLUDE_DIR}:${QT_QTHELP_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        --license-file=${CMAKE_SOURCE_DIR}/data/licensecomment.txt
        ${QtHelp_TYPESYSTEM}
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/glue/
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTHELP_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtHelp MODULE ${QtHelp_SRC})
set_property(TARGET QtHelp PROPERTY PREFIX "")
target_link_libraries(QtHelp
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTHELP_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtHelp.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

=== PySide/QtNetwork/CMakeLists.txt ===
project(QtNetwork)
# project definition
set(QtNetWork_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_network.xml
)
set(QtNetwork_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/converter_register_qtnetwork.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qabstractsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qabstractsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qauthenticator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qauthenticator_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qftp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qftp_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostaddress_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostinfo_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpheader_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttprequestheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttprequestheader_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpresponseheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpresponseheader_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttp_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qipv6address_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qipv6address_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalserver_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaccessmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaccessmanager_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaddressentry_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaddressentry_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookiejar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookiejar_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookie_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookie_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkinterface_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkproxy_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkproxy_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkreply_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkreply_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkrequest_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcertificate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcertificate_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcipher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcipher_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslconfiguration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslconfiguration_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslerror_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslerror_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslkey_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslkey_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qssl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qssl_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpserver_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtnetwork_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtnetwork_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qudpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qudpsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qurlinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qurlinfo_wrapper.hpp
)

add_custom_command(OUTPUT ${QtNetwork_SRC}
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_SOURCE_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}:${QT_QTCORE_INCLUDE_DIR}:${QT_QTNETWORK_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        --license-file=${CMAKE_SOURCE_DIR}/data/licensecomment.txt
        ${QtNetWork_TYPESYSTEM}
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTNETWORK_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtNetwork MODULE ${QtNetwork_SRC})
set_property(TARGET QtNetwork PROPERTY PREFIX "")
target_link_libraries(QtNetwork
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTNETWORK_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtNetwork.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

=== PySide/QtOpenGL/CMakeLists.txt ===
project(QtOpenGL)
# project definition
set(QtOpenGL_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_opengl.xml
)

set(QtOpenGL_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qgl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qglcolormap_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qglcontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qglformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qglframebufferobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qglpixelbuffer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qglwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qtopengl_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL/qtopengl_module_wrapper.cpp
)

add_custom_command(OUTPUT ${QtOpenGL_SRC}
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_SOURCE_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}:${QT_QTCORE_INCLUDE_DIR}:${QT_QTOPENGL_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        --license-file=${CMAKE_SOURCE_DIR}/data/licensecomment.txt
        ${QtOpenGL_TYPESYSTEM}
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtOpenGL
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTOPENGL_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtOpenGL MODULE ${QtOpenGL_SRC})
set_property(TARGET QtOpenGL PROPERTY PREFIX "")
target_link_libraries(QtOpenGL
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTOPENGL_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtOpenGL.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

=== debian/changelog ===
pyside (0.1.4.5-0maemo1) unstable; urgency=low

  * Maemo port.

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 21 Aug 2009 15:49:13 -0300

pyside (0.1.4.5-0ubuntu2) unstable; urgency=low

  * Bump version to ubuntu2

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 21 Aug 2009 15:35:42 -0300

pyside (0.1.4.5-0ubuntu1) unstable; urgency=low

  * Initial Release 

 -- Lauro Moura <lauro.neto@openbossa.org>  Mon, 17 Aug 2009 16:21:54 -0300

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: PySide team <contact@pyside.org>
Build-Depends: debhelper (>= 5.0.37.2), cmake (>= 2.6.0), python-dev (>= 2.3.5-11), libqt4-dev (>= 4.5.0), libqt4-opengl-dev (>= 4.5.0), boostpythongenerator (>= 0.1), python-support (>= 0.3.9), libboost-python1.38-dev, libqt4-phonon
Standards-Version: 3.8.0

Package: pyside
Architecture: i386
Depends: pyside-base (= ${binary:Version}), pyside-core (= ${binary:Version})
Description: Python bindings for Qt 4 (metapackage)
 Python bindings for Qt4 framework. This is a metapackage for the
 basic packages.

Package: pyside-dbg
Architecture: i386
Priority: extra
Depends: ${shlibs:Depends}
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: pyside-base
Architecture: i386
Depends: libqt4-core (>= 4.5.0), libboost-python1.38.0
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: pyside-base-dev
Architecture: i386
Depends: libqt4-dev (>= 4.5.0), libboost-python1.38-dev, pyside-base
Description: Python bindings for Qt 4 (development files)
 Development headers for the pysidebase library.

Package: pyside-core
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-core (>= 4.5.0), libboost-python1.38.0, libfontconfig1
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: pyside-gui
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-gui (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: pyside-help
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-help (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 help module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtHelp module.

Package: pyside-network
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-network (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: pyside-opengl
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-opengl (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: pyside-phonon
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-phonon (>= 4.3.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: pyside-script
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-script (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: pyside-sql
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-sql (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: pyside-svg
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-svg (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: pyside-uitools
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 UI tools module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtUiTools module.

Package: pyside-webkit
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-webkit (>= 4.5.0), pyside-network (= ${binary:Version}), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version}), libqt4-phonon (>= 4.5.0) | libqt4-phonon, libqt4-dbus (>= 4.5.0)
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: pyside-xml
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-xml (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml module.

Package: pyside-tests
Section: tests
Priority: optional
Architecture: i386
Depends: ${python:Depends}, pyside-core, pyside-gui, pyside-help, pyside-network, pyside-opengl, pyside-phonon, pyside-script, pyside-sql, pyside-svg, pyside-uitools, pyside-webkit, pyside-xml, libqt4-sql-sqlite, libqt4-dev
Description: Tests for pyside packages
 Standalone tests for pyside packages; these tests can be
 executed directly by calling /usr/share/pyside-tests/runtests.sh;
 results are stored in /tmp/pyside-tests/testresults.log.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the multi2 sample debian/rules file:
# ---
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.
# ---

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

with_tests := yes

ifneq ($(with_tests),yes)
NOPKGS += -Npyside-tests
endif

export DH_OPTIONS = $(NOPKGS)

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

export CFLAGS

# borrowed from python2.5 debian/rules
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

SRC	:= $(CURDIR)
BUILD	:= $(CURDIR)/debian/build
TARGET	:= $(CURDIR)/debian/tmp

PYVERS  := $(shell pyversions -vd)

debian/configure-stamp: $(PYVERS:%=debian/configure-python%-stamp) 
	touch $@

debian/configure-python%-stamp: 
	dh_testdir
	[ -d $(BUILD)-python$* ] || mkdir $(BUILD)-python$*
	: # cmake does not offer a way to force a specific python version to
	: # check, therefore we add the wanted version to the beginning of
	: # the list to be checked
	CMAKE_MODULES=/usr/share/cmake-2.6/Modules && \
	mkdir -p $(BUILD)-python$*/cmake_modules && \
	cd $(BUILD)-python$*/cmake_modules && \
	  sed "/^FIND_PROGRAM(PYTHON_EXECUTABLE/{N;s/\n *NAMES /&python$* /}" \
	    $$CMAKE_MODULES/FindPythonInterp.cmake > FindPythonInterp.cmake && \
	  sed "s/^FOREACH(_CURRENT_VERSION /&$* /" \
	    $$CMAKE_MODULES/FindPythonLibs.cmake > FindPythonLibs.cmake
	cd $(BUILD)-python$* && cmake $(CURDIR) -DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_C_COMPILER:FILEPATH="$(CC)" \
		-DCMAKE_CXX_COMPILER:FILEPATH="$(CXX)" \
		-DCMAKE_C_FLAGS="$(CFLAGS)" \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_MODULE_PATH=$(BUILD)-python$*/cmake_modules
	touch $@

build: debian/build-stamp

debian/build-stamp: debian/configure-stamp $(PYVERS:%=debian/build-python%-stamp)
	touch $@

debian/build-python%-stamp: 
	dh_testdir
	$(MAKE) $(NJOBS) -C $(BUILD)-python$*
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/configure*stamp debian/build*stamp 
	rm -rf debian/build*
	dh_clean

install: DH_OPTIONS=
install: debian/build-stamp install-common $(PYVERS:%=install-python%)
install-common:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

ifeq ($(with_tests),yes)
	#pyside-tests
	mkdir -p $(CURDIR)/debian/tmp/usr/share/pyside-tests
	cp -r $(CURDIR)/tests $(CURDIR)/debian/tmp/usr/share/pyside-tests
	cp -r $(CURDIR)/debian/runtests.sh $(CURDIR)/debian/tmp/usr/share/pyside-tests
	chmod u+x $(CURDIR)/debian/tmp/usr/share/pyside-tests/runtests.sh
	dh_install -ppyside-tests --sourcedir=debian/tmp
endif

install-python%:
	$(MAKE) $(NJOBS) -C $(BUILD)-python$* install DESTDIR=$(TARGET)

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
#	dh_installcron
#	dh_installinfo
	dh_install --sourcedir=$(TARGET) --list-missing
	dh_strip --dbg-package=pyside-dbg
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
	dh_pysupport
	dh_python
	dh_makeshlibs -Xformats -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f $(SRC)/debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f $(SRC)/debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f $(SRC)/debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install install-common
